Как я могу применить WP-фильтр для определенной версии плагина

У меня есть список плагинов на странице 'wp-admin/plugins.php' . Для каждого плагина есть некоторая метаинформация, извлеченная WP из каждого файла плагина:

  /* * Plugin Name: somename * Version: 1.2.3 */ 

Я хочу отфильтровать версию плагина, чтобы показать его в списке плагинов, но не изменять файл плагина, просто отфильтруйте значение версии.

Обновить:

 <?php /* * Plugin Name: aTestPlugin * Version: old.version * Description: This plugin is just for testing purpose. * Plugin URI: http://wordpress.org/extend/plugins/atestplugin/ * Author: mario * Author URI: http://www.atestplugin.example/ */ function atestplugin_plugin_row_meta($meta, $file, $data, $status) { // do some filtering ... if ( $data['Name'] == 'aTestPlugin' ) $meta[0] = 'new.version'; return $meta; } add_filter('plugin_row_meta', 'atestplugin_plugin_row_meta', 10, 4 ); 

Solutions Collecting From Web of "Как я могу применить WP-фильтр для определенной версии плагина"